<?php

$doctor_general_physician_tp_theme_css = '';

$doctor_general_physician_tp_color_option = get_theme_mod('doctor_general_physician_tp_color_option');

// 1st color
$doctor_general_physician_tp_color_option = get_theme_mod('doctor_general_physician_tp_color_option', '#0087BE');
if ($doctor_general_physician_tp_color_option) {
	$doctor_general_physician_tp_theme_css .= ':root {';
	$doctor_general_physician_tp_theme_css .= '--color-primary1: ' . esc_attr($doctor_general_physician_tp_color_option) . ';';
	$doctor_general_physician_tp_theme_css .= '}';
}

//preloader
$doctor_general_physician_tp_preloader_color1_option = get_theme_mod('doctor_general_physician_tp_preloader_color1_option');
$doctor_general_physician_tp_preloader_color2_option = get_theme_mod('doctor_general_physician_tp_preloader_color2_option');
$doctor_general_physician_tp_preloader_bg_color_option = get_theme_mod('doctor_general_physician_tp_preloader_bg_color_option');

if($doctor_general_physician_tp_preloader_color1_option != false){
$doctor_general_physician_tp_theme_css .='.center1{';
	$doctor_general_physician_tp_theme_css .='border-color: '.esc_attr($doctor_general_physician_tp_preloader_color1_option).' !important;';
$doctor_general_physician_tp_theme_css .='}';
}
if($doctor_general_physician_tp_preloader_color1_option != false){
$doctor_general_physician_tp_theme_css .='.center1 .ring::before{';
	$doctor_general_physician_tp_theme_css .='background: '.esc_attr($doctor_general_physician_tp_preloader_color1_option).' !important;';
$doctor_general_physician_tp_theme_css .='}';
}
if($doctor_general_physician_tp_preloader_color2_option != false){
$doctor_general_physician_tp_theme_css .='.center2{';
	$doctor_general_physician_tp_theme_css .='border-color: '.esc_attr($doctor_general_physician_tp_preloader_color2_option).' !important;';
$doctor_general_physician_tp_theme_css .='}';
}
if($doctor_general_physician_tp_preloader_color2_option != false){
$doctor_general_physician_tp_theme_css .='.center2 .ring::before{';
	$doctor_general_physician_tp_theme_css .='background: '.esc_attr($doctor_general_physician_tp_preloader_color2_option).' !important;';
$doctor_general_physician_tp_theme_css .='}';
}
if($doctor_general_physician_tp_preloader_bg_color_option != false){
$doctor_general_physician_tp_theme_css .='.loader{';
	$doctor_general_physician_tp_theme_css .='background: '.esc_attr($doctor_general_physician_tp_preloader_bg_color_option).';';
$doctor_general_physician_tp_theme_css .='}';
}

// footer-bg-color
$doctor_general_physician_tp_footer_bg_color_option = get_theme_mod('doctor_general_physician_tp_footer_bg_color_option');

if($doctor_general_physician_tp_footer_bg_color_option != false){
$doctor_general_physician_tp_theme_css .='#footer{';
	$doctor_general_physician_tp_theme_css .='background: '.esc_attr($doctor_general_physician_tp_footer_bg_color_option).' !important;';
$doctor_general_physician_tp_theme_css .='}';
}

// logo tagline color
$doctor_general_physician_site_tagline_color = get_theme_mod('doctor_general_physician_site_tagline_color');

if($doctor_general_physician_site_tagline_color != false){
$doctor_general_physician_tp_theme_css .='.logo h1 a, .logo p a{';
$doctor_general_physician_tp_theme_css .='color: '.esc_attr($doctor_general_physician_site_tagline_color).';';
$doctor_general_physician_tp_theme_css .='}';
}

$doctor_general_physician_logo_tagline_color = get_theme_mod('doctor_general_physician_logo_tagline_color');
if($doctor_general_physician_logo_tagline_color != false){
$doctor_general_physician_tp_theme_css .='p.site-description{';
$doctor_general_physician_tp_theme_css .='color: '.esc_attr($doctor_general_physician_logo_tagline_color).';';
$doctor_general_physician_tp_theme_css .='}';
}

// footer widget title color
$doctor_general_physician_footer_widget_title_color = get_theme_mod('doctor_general_physician_footer_widget_title_color');
if($doctor_general_physician_footer_widget_title_color != false){
$doctor_general_physician_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$doctor_general_physician_tp_theme_css .='color: '.esc_attr($doctor_general_physician_footer_widget_title_color).';';
$doctor_general_physician_tp_theme_css .='}';
}

// copyright text color
$doctor_general_physician_footer_copyright_text_color = get_theme_mod('doctor_general_physician_footer_copyright_text_color');
if($doctor_general_physician_footer_copyright_text_color != false){
$doctor_general_physician_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$doctor_general_physician_tp_theme_css .='color: '.esc_attr($doctor_general_physician_footer_copyright_text_color).';';
$doctor_general_physician_tp_theme_css .='}';
}

// header image title color
$doctor_general_physician_header_image_title_text_color = get_theme_mod('doctor_general_physician_header_image_title_text_color');
if($doctor_general_physician_header_image_title_text_color != false){
$doctor_general_physician_tp_theme_css .='.box-text h2{';
$doctor_general_physician_tp_theme_css .='color: '.esc_attr($doctor_general_physician_header_image_title_text_color).';';
$doctor_general_physician_tp_theme_css .='}';
}

// menu color
$doctor_general_physician_menu_color = get_theme_mod('doctor_general_physician_menu_color');
if($doctor_general_physician_menu_color != false){
$doctor_general_physician_tp_theme_css .='.main-navigation a{';
$doctor_general_physician_tp_theme_css .='color: '.esc_attr($doctor_general_physician_menu_color).';';
$doctor_general_physician_tp_theme_css .='}';
}


//Footer Font Weight
$doctor_general_physician_footer_copyright_title_font_weight = get_theme_mod( 'doctor_general_physician_footer_copyright_title_font_weight','');
if($doctor_general_physician_footer_copyright_title_font_weight == '100'){
$doctor_general_physician_tp_theme_css .='#footer .site-info p {';
    $doctor_general_physician_tp_theme_css .='font-weight: 100;';
$doctor_general_physician_tp_theme_css .='}';
}else if($doctor_general_physician_footer_copyright_title_font_weight == '200'){
$doctor_general_physician_tp_theme_css .='#footer .site-info p {';
    $doctor_general_physician_tp_theme_css .='font-weight: 200;';
$doctor_general_physician_tp_theme_css .='}';
}else if($doctor_general_physician_footer_copyright_title_font_weight == '300'){
$doctor_general_physician_tp_theme_css .='#footer .site-info p {';
    $doctor_general_physician_tp_theme_css .='font-weight: 300;';
$doctor_general_physician_tp_theme_css .='}';
}else if($doctor_general_physician_footer_copyright_title_font_weight == '400'){
$doctor_general_physician_tp_theme_css .='#footer .site-info p {';
    $doctor_general_physician_tp_theme_css .='font-weight: 400;';
$doctor_general_physician_tp_theme_css .='}';
}else if($doctor_general_physician_footer_copyright_title_font_weight == '500'){
$doctor_general_physician_tp_theme_css .='#footer .site-info p {';
    $doctor_general_physician_tp_theme_css .='font-weight: 500;';
$doctor_general_physician_tp_theme_css .='}';
}else if($doctor_general_physician_footer_copyright_title_font_weight == '600'){
$doctor_general_physician_tp_theme_css .='#footer .site-info p {';
    $doctor_general_physician_tp_theme_css .='font-weight: 600;';
$doctor_general_physician_tp_theme_css .='}';
}else if($doctor_general_physician_footer_copyright_title_font_weight == '700'){
$doctor_general_physician_tp_theme_css .='#footer .site-info p {';
    $doctor_general_physician_tp_theme_css .='font-weight: 700;';
$doctor_general_physician_tp_theme_css .='}';
}else if($doctor_general_physician_footer_copyright_title_font_weight == '800'){
$doctor_general_physician_tp_theme_css .='#footer .site-info p {';
    $doctor_general_physician_tp_theme_css .='font-weight: 800;';
$doctor_general_physician_tp_theme_css .='}';
}else if($doctor_general_physician_footer_copyright_title_font_weight == '900'){
$doctor_general_physician_tp_theme_css .='#footer .site-info p {';
    $doctor_general_physician_tp_theme_css .='font-weight: 900;';
$doctor_general_physician_tp_theme_css .='}';
}